import Question from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-lib/v1/Question";
import type Metadata from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-lib/v1/metadata/Metadata";
import type { UiParameter } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-lib/v1/parameters/types";
import type { CardId, Dashboard, DashboardCard, Parameter, ParameterMappingOptions } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api";
export declare function createParameter(option: ParameterMappingOptions, parameters?: Parameter[]): Parameter;
export declare function setParameterName(parameter: Parameter, name: string): Parameter;
export declare function setParameterType(parameter: Parameter, type: string, sectionId: string): Parameter;
export declare function hasMapping(parameter: Parameter, dashboard: Dashboard): boolean;
export declare function getDashboardUiParameters(dashcards: Dashboard["dashcards"], parameters: Dashboard["parameters"], metadata: Metadata, questions: Record<CardId, Question>): UiParameter[];
export declare function getDashboardQuestions(dashcards: DashboardCard[], metadata: Metadata): Record<number, Question>;
export declare function hasMatchingParameters({ dashboard, dashcardId, cardId, parameters, }: {
    dashboard: Dashboard;
    dashcardId: number;
    cardId: number;
    parameters: Parameter[];
}): boolean;
export declare function getFilteringParameterValuesMap(parameter: UiParameter, parameters: UiParameter[]): {
    [k: string]: any;
};
